# -*- encoding=utf8 -*-
__author__ = "zhouniandong"

"""
case_tag:cmdc_api,cmdc轮播图管理按公司代码查询公司选项,2293,2293-3,sit,bs
主数据平台:运营后台管理系统栏目管理接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_content_column"

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
print(url)
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
request_body = commonFuc().get_business_data(module, "payload1")

"""
 场景:栏目管理()
 用例名称：栏目按公司代码查询公司选项(栏目管理)
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.get(url, json=request_body, headers=headers)
#print("\033[031mresult1============\033[0m",result)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
print(api_time)
#print("\033[031mresult2============\033[0m",result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

