# -*- encoding=utf8 -*-
__author__ = "zhouniandong"

"""
case_tag:cmdc_api,cmdc子站欠货综合管理查询列表页,2293,2293-3,sit,bs
主数据平台:运营后台管理系统子站欠货综合管理接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_order_debt"

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
print(url)
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
request_body = commonFuc().get_business_data(module, "payload4")

"""
 场景:子站欠货综合管理()
 用例名称：子站欠货综合管理查询列表页(子站欠货综合管理)
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
print(api_time)
#print("\033[031mresult============\033[0m",result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict4")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

