# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取协议合同号信息_补货单,31,31-31,sit,bs
主数据平台:后台运营系统获取协议合同号信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_31st"

# # 第一步登录后台运营系统获取token
# username = commonFuc().get_business_data(module, "username1_be")
# password = commonFuc().get_business_data(module, "password1_be")
# # 获取登录后Cmdc_access_token
# cmdc_access_token = CmdcDoLogin(username, password).get_token()
# headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第一步获取协议合同号信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url25")
request_body = commonFuc().get_business_data(module, "payload25")
# print(url)
"""

 场景: 验证获取协议合同号信息接口连通性及数据正确性//接口已被删除
 用例名称：获取协议合同号信息_补货单
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取站点对应的合同协议号数量
result = json.loads(result.content)
# print(result)
# result = {"total": len(result["data"])}
# print(result)
# 将接口响应时间添加至result
result["api_time"] = api_time

# # 数据库操作
# mysql_handle = mySql()
# # 获取conf.ini文件中配置的数据库信息
# host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")
#
# # 查询数据库中站点对应的合同协议号数量
# sql = "SELECT count(t.TCUKID) FROM `cmdc-user`.cmdc_vptihtxy_jde t " \
#       "WHERE TCDL011 IS NOT NULL AND TCDL01 IS NOT NULL AND TCEV02 != 'Y' AND TCE8HTSX = 'P'"
# total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict25")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
