# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc通过批号获取范围上报数据_前台_产品线为空,00,00-82,sit,be
主数据平台:后台运营系统通过批号获取范围上报数据接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_special_version"

# 第一步登录多采商城获取token
username = commonFuc().get_business_data(module, "username_testtest")
password = commonFuc().get_business_data(module, "password_testtest")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步通过批号获取范围上报数据
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url82")
request_body = commonFuc().get_business_data(module, "payload82")

"""

 场景: 通过批号获取范围上报数据_前台_产品线为空
 用例名称：通过批号获取范围上报数据_前台_产品线为空
 输出：{"success":false,"code":"ERROR","message":"产品线不能为空"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time


# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict82")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
